package org.xbib.event.async.yield;

/**
 * Equivalent to {@code Consumer<T>} with a yield semantics.
 */
@FunctionalInterface
public interface Yield<T> {
    /**
     * Auxiliary function for traversal short circuit.
     */
    static void bye() {
        throw TraversableFinishError.finishTraversal;
    }

    void ret(T item);
}
