package org.xbib.event.wal;

public interface RecordLookup<T> {

    /**
     * Returns the Record with the given identifier, or <code>null</code> if no such record exists
     *
     * @param identifier the identifier of the record to lookup
     * @return the Record with the given identifier, or <code>null</code> if no such record exists
     */
    T lookup(Object identifier);
}
