package org.xbib.event.async.spi;

import org.xbib.event.async.impl.AsyncBuilder;
import org.xbib.event.async.impl.AsyncThread;

import java.util.concurrent.TimeUnit;

public interface AsyncThreadFactory extends AsyncServiceProvider {

  AsyncThreadFactory INSTANCE = new AsyncThreadFactory() {
  };

  @Override
  default void init(AsyncBuilder builder) {
    if (builder.threadFactory() == null) {
      builder.threadFactory(this);
    }
  }

  default AsyncThread newVertxThread(Runnable target, String name, boolean worker, long maxExecTime, TimeUnit maxExecTimeUnit) {
    return new AsyncThread(target, name, worker, maxExecTime, maxExecTimeUnit);
  }
}
