package org.xbib.event.async.yield.boxes;

public class Box<T> {

    protected T value;

    private boolean isPresent;

    public Box() {
    }

    public Box(T identity) {
        this.value = identity;
        this.isPresent = true;
    }

    public final boolean isPresent() {
        return isPresent;
    }

    public final T getValue() {
        return value;
    }

    public final T setValue(T value) {
        this.value = value;
        return value;
    }

    public final void turnPresent(T e) {
        this.setValue(e);
        this.isPresent = true;
    }
}
