package org.xbib.event.async.yield.primitives.lng.ops;

import org.xbib.event.async.yield.primitives.lng.LongAdvancer;
import org.xbib.event.async.yield.primitives.lng.LongTraverser;
import org.xbib.event.async.yield.primitives.lng.LongYield;

import java.util.Spliterator;
import java.util.function.LongConsumer;
import java.util.stream.LongStream;

public class FromLongStream implements LongAdvancer, LongTraverser {
    private final Spliterator.OfLong upstream;

    public FromLongStream(LongStream data) {
        this.upstream = data.spliterator();
    }

    @Override
    public void traverse(LongYield yield) {
        LongConsumer cons = yield::ret;
        upstream.forEachRemaining(cons);
    }

    @Override
    public boolean tryAdvance(LongYield yield) {
        LongConsumer cons = yield::ret;
        return upstream.tryAdvance(cons);
    }
}
