package org.xbib.event.path;

import org.xbib.event.EventConsumer;
import org.xbib.event.bus.AllowConcurrentEvents;
import org.xbib.event.bus.Subscribe;

import java.util.logging.Level;
import java.util.logging.Logger;

public class TestFileFollowEventConsumer implements EventConsumer {

    private static final Logger logger = Logger.getLogger(TestFileFollowEventConsumer.class.getName());

    @Subscribe
    @AllowConcurrentEvents
    void onEvent(TestFileFollowEvent event) {
        logger.log(Level.INFO, "received test filefollow event, path = " + event.getPath() + " content = " + event.getMessage());
    }
}
